Bug 839216 - [eap6] support for editing OSGi capabilities
[eap6] support for editing OSGi capabilities
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
Depends On: 879052
Blocks: as7-plugin
  Show dependency treegraph
Reported: 2012-07-11 05:08 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 879052 (view as bug list)
Last Closed: 2014-09-05 10:40:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2012-07-11 05:08:25 EDT
Description of problem:
JON can list Capability and Property resources of AS7 OSGi subsystem, can add new resources, can edit Property resources but there is no way to edit child resources of these capability  type. AS7 Web console supports this.

Version-Release number of selected component (if applicable):
JON 3.1.0.GA-8

How reproducible:

Steps to Reproduce:
1. Start EAP server
2. Start Jon server & agent, inventory agent in server gui with eap in it
3. create new child resource under OSGI - capabilities
4. Enter configuration of new child
Actual results:
It is not possible to edit child resource configuration

Expected results:
It is possible to edit child resource configuration

Additional info:
It is possible to edit capability resource in web console.
Comment 1 Charles Crouch 2012-08-29 12:05:40 EDT
As per 8/20 triage 8/20 pushing to JON312
Comment 2 Jirka Kremser 2012-11-15 08:30:38 EST
The only attribute the OSGi capability has (startLevel) is marked as read only. I was looking into AS console code and AS console allows for changing it by simply removing the whole OSGi capability and adding it again with a changed value of the attribute startLevel. It is a question if we should mimic the AS console in this particular behavior.
Comment 3 mark yarborough 2012-11-20 15:45:33 EST
Per triage with loleary, crouch, mfoley: Move to JBoss ON product, set target release JON 3.2, clear priority (will be subject to further triage in JON 3.2 timeframe).
Comment 7 Stefan Negrea 2014-09-05 10:40:29 EDT
The EAP API only allows configuring OSGi related sub-resources at creation. The plugin exposes the correct functionality and works as intended and correctly. 

Removing resources under the covers just to recreate them is not a good option because of the JON resource model.

Note You need to log in before you can comment on or make changes to this bug.